package com.wanyue.main.bean;

import com.chad.library.adapter.base.entity.MultiItemEntity;
import com.chad.library.adapter.base.entity.SectionEntity;
import com.wanyue.inside.bean.LecturerBean;

public class SectionLecturerBean extends SectionEntity<LecturerBean> implements MultiItemEntity {
    public static final int TYPE_HEAD=1;
    public static final int TYPE_NORMAL=2;

    public SectionLecturerBean(LecturerBean lecturerBean) {
        super(lecturerBean);
    }

    public SectionLecturerBean(boolean isHeader, String header) {
        super(isHeader, header);
    }
    @Override
    public int getItemType() {
        return isHeader?TYPE_HEAD:TYPE_NORMAL;
    }
}
